org.wildfly.swarm.microprofile.openapi.api.models.security

## Class ScopesImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,String>
      - - org.wildfly.swarm.microprofile.openapi.api.models.security.ScopesImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,String>, ModelImpl

      public class ScopesImpl
      extends LinkedHashMap<String,String>
      implements ModelImpl

  An implementation of the `Scopes` OpenAPI model interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopesImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(String name, Object value)`
    `Scopes` | `addScope(String scope, String description)`
    `Map<String,Object>` | `getExtensions()`
    `void` | `setExtensions(Map<String,Object> extensions)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### ScopesImpl

          public ScopesImpl()

  - ### Method Detail

    - #### getExtensions

          public Map<String,Object> getExtensions()

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#getExtensions()`

    - #### addExtension

          public void addExtension(String name,
                                   Object value)

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#addExtension(java.lang.String, java.lang.Object)`

    - #### setExtensions

          public void setExtensions(Map<String,Object> extensions)

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#setExtensions(java.util.Map)`

    - #### addScope

          public Scopes addScope(String scope,
                                 String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.Scopes#addScope(java.lang.String, java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.